/*
Zadatak 1 - Pogadanje broja

Program generira broj u intervalu [1,100].
Korisnik treba pogoditi koji broj je program generirao.
Ako korisnik upise veci broj od trazenog, program treba ispisati da je trazeni broj veci od unesenog.
Ako korisnik upise manji broj od trazenog, program treba ispisati da je trazeni broj manji od unesenog.

Kada korisnik pogodi, program treba ispisati iz kojeg pokusaja je broj pogoden.

Primjer:
Unesite broj: 50
Trazeni broj je manji od unesenog
Unesite broj: 25
Trazeni broj je veci od unesenog
Unesite broj: 35
Trazeni broj je manji od unesenog
Unesite broj: 30
Pogodili ste iz 4. pokusaja
*/

#include <stdio.h>
#include <stdlib.h>
#include <time.h>

//stdlib.h ukljucujemo radi funkcija srand i rand
//time.h ukljucujemo radi funkcije time

int main() {
    int trazeni, pokusaj, brojac = 0;
    
    srand(time(NULL));
    
    trazeni = (rand()%100) + 1;//slucajno generiramo trazeni broj
                                 //rand()%100 vraca brojeve u intervalu [0,99]
                                 //dodajemo +1 da interval bude [1,100]
                                 
    printf("Generiran je broj u intervalu [1,100]. Pokusajte pogoditi koji je to broj:\n");
    
    do {
        printf("Unesite broj: ");
        scanf("%d", &pokusaj);
        brojac++;
        
        if( trazeni > pokusaj ) {
            printf("Trazeni broj je veci od unesenog\n");
        }
        else if( trazeni < pokusaj ) {
            printf("Trazeni broj je manji od unesenog\n");
        }
    } while( trazeni!=pokusaj );//vrti se u petlji dok trazeni i pokusaj ne budu jednaki

    printf("Pogodili ste iz %d. pokusaja\n", brojac);
    
    return 0;
}

//Napravljeno u sklopu Radionice osnova programiranja u C-u u organizaciji Informatičke udruge Futura
//Licenca: http://creativecommons.org/licenses/by-nc-sa/3.0/hr/