/*
Zadatak 2 - Polje

Generirajte polje slucajnih brojeva u intervalu [1,100].
Polje mora imati 9 redaka i 5 stupaca.
Za svaki redak u polju ispišite koji član polja ima najveću vrijednost i njegovu vrijednost.

Primjer:
Ispis polja:
16 47 28 39 95
28 97 21 55 46
80 8 21 43 53
44 60 11 7 9
Najveci clan u 1.redku je 5.clan koji ima vrijednost 95
Najveci clan u 2.redku je 2.clan koji ima vrijednost 97
Najveci clan u 3.redku je 1.clan koji ima vrijednost 80
Najveci clan u 4.redku je 2.clan koji ima vrijednost 60
*/


#include <stdio.h>
#include <stdlib.h>
#include <time.h>

//stdlib.h ukljucujemo radi funkcija srand i rand
//time.h ukljucujemo radi funkcije time

int main() {
    int brojRedaka = 4, brojStupaca = 5;//koliko redaka i stupaca
    int polje[brojRedaka][brojStupaca];
    int i,j;
    
    srand(time(NULL));//postavljanje pseudo-random generatora
                       //potrebno da bi dobili drukcije rezultate pri pozivanju funkcije rand
    
    for(i=0; i<brojRedaka; i++) {
        for(j=0; j<brojStupaca; j++) {
            polje[i][j] = (rand()%100) + 1;//idemo po polju i slucajno generiramo clanove
                                             //rand()%100 vraca brojeve u intervalu [0,99]
                                             //dodajemo +1 da interval bude [1,100]
            printf("%d ", polje[i][j]);//odmah ispisujemo clan polje
        }
        printf("\n");//da svaki redak ide u novi red
    }
    
    for(i=0; i<brojRedaka; i++) {
        int max = polje[i][0];//za svaki redak pretpostavljamo da je pocetni clan najveci
        int maxIndex = 0;//postavljamo index pocetnog elementa kao index najveceg
        for(j=1; j<brojStupaca; j++) {//idemo po redku
            if( polje[i][j] > max ) {//ako je trenutni element iz istog redka veci od max
                max = polje[i][j];//postavljamo trenutni element kao najveci
                maxIndex = j;//postavljamo index trenutnog elementa kao index najveceg
            }
        }
        printf("Najveci clan u %d. redku je %d.clan koji ima vrijednost %d\n", i+1, maxIndex+1, max);//ispisujemo rezultate za svaki redak
    }
    
    return 0;
}

//Napravljeno u sklopu Radionice osnova programiranja u C-u u organizaciji Informatičke udruge Futura
//Licenca: http://creativecommons.org/licenses/by-nc-sa/3.0/hr/